<%--
  Created by IntelliJ IDEA.
  User: lenovo
  Date: 2019/1/11
  Time: 11:13
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" import="java.util.Date" %>
<%@ page import="core.user.User" %>
<%@ page import="java.util.Map" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.ArrayList" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<html>
<head>
    <title>Title</title>
    <script type="text/javascript" src="../jsFile/jquery-3.3.1.js"></script>
    <link type="text/css" rel="stylesheet" href="../cssFile/select-style.css">
    <script type="text/javascript" src="../jsFile/search.js"></script>
</head>
<body>
<%
    Map<String,String> map1=new HashMap<String,String>();
    Map<String,String> map2=new HashMap<>();
    map1.put("姓名","hehcu");
    map1.put("学号","201630126050");
    map1.put("电话","18711191679");
    map1.put("状态","选择");
    map2.put("姓名","laoshi");
    map2.put("学号","54646546");
    map2.put("电话","18711191679");
    map2.put("状态","已选");
    List<Map<String,String>> list=new ArrayList<>();
    list.add(map1);
    list.add(map2);
    pageContext.setAttribute("list",list);
    User user=(User)session.getAttribute("user");
    String type=user.getType();
    pageContext.setAttribute("type",type);
%>
<div class="updated">
    <div class="select-frame">
        <div class="fill-top-blank">
            <div class="model-info">
               <c:if test="${type=='teacher'}">
                   ${"选择学生"}
               </c:if>
                <c:if test="${type=='student'}">
                    ${"选择老师"}
                </c:if>
            </div>
            <div class="search-frame">
                <input class="search-input" type="text" name="id" value="" placeholder="输入学号查找">
                <div class="search-button ${type}"></div>
            </div>
        </div>
        <div class="count-select">
            <div class="selected-info">已选学生</div>
            <div class="select-blank"></div>
            <div class="selected-bottom"></div>
        </div>
        <div class="list-frame bar-change">
        <c:forEach items="${list}" var="z">
            <div class="list-child">
                <div class="name"><span class="the-name">${z.姓名}</span></div>
                <div class="other-msgs">
                <c:forEach items="${z}" var="msg" begin="1" end="${fn:length(z)-2}">
                    <div class="one-msg">${msg.key}：${msg.value}</div>
                </c:forEach>
                </div>
                <button class="select-it ${type} <c:if test="${z.状态=='已选'}">on</c:if>" value="${z.学号}">
                        ${z.状态}</button>
            </div>
        </c:forEach>
        </div>
    </div>
</div>
</body>
</html>
